<?php   require_once("../../config.php");
		require_once("../../includes/zip.php");

	//who's logged in
	$guid = "";
	if(isset($_SESSION[APP_LOGGEDIN_COOKIE_NAME])) $guid = fnFormInput($_SESSION[APP_LOGGEDIN_COOKIE_NAME]);
		
	//User Object
	$thisUser = new User($guid);
	$thisUser -> fnLoggedInReq($guid);
	$thisUser -> fnUpdateLastRequest($guid);

	//Page Object
	$thisPage = new Page();
	$thisPage->formEncType = "multipart/form-data";
	
	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$strMessage = "";
	$bolDone = false;
	$bolPassed = true;
	$bolDeleted = false;
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$appName = "";
	$status = "";
	$BT_locationId = fnGetReqVal("BT_locationId", "", $myRequestVars);
	$command = fnGetReqVal("command", "", $myRequestVars);
	$doWhat = fnGetReqVal("doWhat", "", $myRequestVars);

	///////////////////////////////////////////////////////////////
	//selected id's
	$selectedIds = array();
	$inClauseSQL = "";
	if(isset($_POST['selected'])){
		while (list ($key, $val) = each ($_POST['selected'])) { 
			if($val != ""){
				$selectedIds[] = trim($val);
				$inClauseSQL .= "'" . trim($val) . "',";
			}
		}
		$inClauseSQL = fnRemoveLastChar($inClauseSQL, ",");
	}
	//end selected id's
	
	//is row selected?
	function fnIsChecked($theId){
		global $selectedIds;
		if(in_array($theId, $selectedIds)){
			return "checked";
		}else{
			return "";
		}	
	}
	
	//App Object
	if($appGuid == ""){
		echo "invalid request (1)";
		exit();
	}else{
		
		//Only owner of app or Admins can see this app
		$objApp = new App($appGuid);
		$thisPage->pageTitle = $objApp->infoArray["name"];
	
		if($objApp->infoArray["ownerGuid"] == $guid || strtoupper($thisUser->infoArray["userType"]) == "ADMIN" ){
			$appName = $objApp->infoArray["name"];
		}else{
			echo "invalid request (2)";
			exit();
		}
		
	}		

	$headers = $thisPage->fnGetPageHeaders();	
	$bodyStart = $thisPage->fnGetBodyStart();
	$topNavBar = $thisPage->fnGetTopNavBar($thisUser->infoArray['guid']);
	$bottomNavBar = $thisPage->fnGetBottomNavBar();
	$bodyEnd = $thisPage->fnGetBodyEnd();
	
	
	/////////////////////////////////////////////////////////////////////////////////
	//if we chose something from actions menu we must have at least one id selected...
	if(strlen($doWhat) > 3 || strtoupper($command) == "CONFIRMDELETE"){
		if(count($selectedIds) < 1){
			$bolPassed = false;
			$strMessage = "<br>Please select at least one checkboxes before selecting an operation from the actions menu.";
		}else{
			
			
			//if we selected removeFiles
			if(strtoupper($doWhat) == "REMOVE"){
				$command = "delete";
			}
			
			//if we confirmed the delete...
			if(strtoupper($command) == "CONFIRMDELETE"){

				//delete from database...
				$strSql = "DELETE FROM " . TBL_NARRATIVE_DATA . " WHERE appGuid = '" . $appGuid . "' ";
				$strSql .= " AND guid IN (" . $inClauseSQL . ")";
				fnExecuteNonQuery($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
						
				//flag as deleted
				$bolDeleted = true;
				$bolDone = true;
				$strMessage = "Removed <b>" . count($selectedIds) . " items.</b>";
				$selectedIds = array();
			}	//done deleting..	
			
						
		}
	}
	//end doWhat / actionsMenu selection
	/////////////////////////////////////////////////////////////////////////////////
	
	//list vars
	$search = fnGetReqVal("searchInput", "Search...", $myRequestVars);
	if($search == "Nickname..." || $search == "Display name..." || $search == "Search...") $search = "";
	
	$scriptName = "narratives.php";
	$recsPerPage = 50;
	$totalPages = 1;
	$currentPage = 1;
	$firstRec = 0;
	$lastRec = 0;
	$defaultSort = "N.title";
	$defaultUpDown = "ASC";
	$colCount = 6;

	//sort up / down
	$sortUpDown = fnGetReqVal("sortUpDown", $defaultUpDown, $myRequestVars);
		//if we clicked a column header
		$sortUpDown = fnGetReqVal("nextUpDown", $sortUpDown, $myRequestVars);
	//sort column
	$sortColumn = fnGetReqVal("sortColumn", "", $myRequestVars);
		//if we clicked a column header
		$sortColumn = fnGetReqVal("nextCol", $sortColumn, $myRequestVars);
			if($sortColumn == "") $sortColumn = $defaultSort;
	
	//sort colum may contain "I." if we sorted then came from the screens list...
	if(strpos($sortColumn, "I.") > -1 || strpos($sortColumn, "U.") > -1){
		$sortColumn = $defaultSort;
		$sortUpDown = $defaultUpDown;
	}
	
	//current page 	
	$currentPage = fnGetReqVal("currentPage", 1, $myRequestVars);
		//if we clicked next/prev page
		$currentPage = fnGetReqVal("nextPage", $currentPage, $myRequestVars);
			if(!is_numeric($currentPage)) $currentPage = 1;
		
	//WHERE CLAUSE
	$whereClause = " WHERE N.appGuid = '" . $appGuid . "'";
	$whereClause .= " AND N.status != 'Deleted' ";
	
	//if searching
	$searchHint = "";
	if( (strtoupper($search) != "ALL" && strtoupper($search) != "SEARCH..." && $search != "") ){
		if(strlen($search) == 1){ // clicked a letter for "starts with"
			$whereClause .= " AND N.title LIKE '" . $search . "%'";
		 	$searchHint = "Title starts with";
		}else{
			$whereClause .= " AND (N.type LIKE '%" . $search . "%' OR N.title LIKE '%" . $search . "%') ";
			 $searchHint = "Title contains";
		}
	}
			
	//querystring for links
	$qVars = "&searchInput=" . fnFormOutput($search) . "&appGuid=" . $appGuid;
	$qVars .= "&sortColumn=" . $sortColumn . "&sortUpDown=" . $sortUpDown . "&currentPage=" . $currentPage;
	
	//get total recs.
	$totalSql = "  SELECT Count(N.id) AS TotalRecs  ";
	$totalSql .= " FROM " . TBL_NARRATIVE_DATA . " AS N ";
	
	
	
	//append where
	$totalSql .= $whereClause;

	//get total count of records that meet search criteria
	$totalRecs = fnGetOneValue($totalSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
	
	//calculate firstRec
	$firstRec = ($currentPage - 1) * $recsPerPage;
		if($firstRec < 0) $firstRec = 0;
		
	//calculate total pages
	if($totalRecs > $recsPerPage) $totalPages = ceil($totalRecs / $recsPerPage);
	
	//re-calculate lastRec
	$lastRec = $currentPage * $recsPerPage;
	if($lastRec > $totalRecs) $lastRec = $totalRecs;

		
	//fetch
    $strSql = " SELECT N.guid, N.type, N.category, N.title, N.narrative "; 
	$strSql .= "FROM " . TBL_NARRATIVE_DATA . " AS N ";
	$strSql .= $whereClause;
	$strSql .= " ORDER BY " . $sortColumn . " " . $sortUpDown;
	$strSql .= " LIMIT " . $firstRec . "," . $recsPerPage;
	
	
	
	
	//shows sort arrow.
	$tmpSort = ($sortUpDown == "ASC") ? 'DESC' : 'ASC' ;
	
	//paging links
	$prevPageLink = "\n<a href='" . $scriptName . "?1=1" . $qVars . "&nextPage=" . ($currentPage - 1) . "' title='Previous Page' target='_self'>< Previous Page</a><span class='linkSpacer'>&nbsp;</span>";
	$nextPageLink = "\n<a href='" . $scriptName . "?1=1" . $qVars . "&nextPage=" . ($currentPage + 1) . "' title='Next Page' target='_self'>Next Page ></a><span class='linkSpacer'>&nbsp;</span>";
	if($firstRec < $recsPerPage) $prevPageLink = "";
	if(($firstRec + $recsPerPage) >= $totalRecs) $nextPageLink = "";
	
	//fix up search
	$tmpSearch = $search;
	if($search == "" || strtoupper($search) == "ALL") $search = "Search...";

?>

<?php echo $headers; ?>
<?php echo $bodyStart; ?>
<?php echo $topNavBar;?>


<script>
	function fnConfirmDelete(){
		document.forms[0].command.value = 'confirmDelete';
		document.forms[0].submit();	
	}	
	function fnCancelDelete(){
		document.forms[0].command.value = '';
		document.forms[0].submit();	
	}	
</script>
<style type="text/css">
	.season{
		width:30px;
		float:left;
	}
</style>

<input type="hidden" name="appGuid" id="appGuid" value="<?php echo $appGuid;?>">
<input type="hidden" name="recsPerPage" id="recsPerPage" value="<?php echo $recsPerPage;?>">
<input type="hidden" name="currentPage" id="currentPage" value="<?php echo $currentPage;?>">
<input type="hidden" name="totalPages" id="totalPages" value="<?php echo $totalPages;?>">
<input type="hidden" name="firstRec" id="firstRec" value="<?php echo $firstRec;?>">
<input type="hidden" name="lastRec" id="lastRec" value="<?php echo $lastRec;?>">
<input type="hidden" name="totalRecs" id="totalRecs" value="<?php echo $totalRecs;?>">
<input type="hidden" name="sortColumn" id="sortColumn" value="<?php echo $sortColumn;?>">
<input type="hidden" name="sortUpDown" id="sortUpDown" value="<?php echo $sortUpDown;?>">
<input type="hidden" name="command" id="command" value="">


<div class='content'>
        
    <fieldset class='colorLightBg'>
                   
        <p>
            <div style='float:left;'>

            </div>
                
            <div style='float:left'>
               <a href="../../bt_v15/bt_app/index.php?appGuid=<?php echo $appGuid;?>" 
                title='App Home'> Application Home</a> 
                <br/>
                
                <h2>Definitions/Narratives</h2>
                <p> Use the definitions entry screen to provide a narrative on topics. For example, the narratives could be word definitions, recipes, instructions, or drug interactions. When the user selects a topic from the menu, the user will see the narrative information. The menu list is the Buzztouch Simple Menu, and the narrative information is displayed in formatted HTML. <b>Advanced users:</b> The category and type fields can be used to provide a subset of topics by making changes to the narratives.php file. 

                
                <p><strong> Note: </strong>You can use these definitions in your app with the dataURL in a Menu screen in your app. The definitions you enter here will be dynamically generated into the Menu List Simple. Cut and paste the following URL into the dataURL field: <br/><br/>
                		&nbsp;&nbsp;&nbsp;<?php echo fnGetSecureURL(APP_URL)?>/wb_addons/narrative/narrative-list.php?appGuid=<?php echo $appGuid?>
                
            
            </div>
                    
            <div style='float:right;margin:0px;'>
                &nbsp;
                <input type='button' title="search" value="search" align='absmiddle' class="buttonSubmit" onClick="top.fnRefresh(document);return false;" style='display:inline;vertical-align:middle;margin:0px;'>
            </div>
            <div style='float:right;margin:0px;'>
                <input name='searchInput' id='searchInput' onFocus="top.fnClearSearch('Search...',this);" type='text' value="<?php echo fnFormOutput($search, true);?>" class='searchBox' style='margin:0px;display:inline;vertical-align:middle;overflow:hidden;' onkeyup="document.forms[0].currentPage.value='1';">
            </div>
            <div style="clear:both;"></div>
            
        </p>

                
        <table cellspacing='0' cellpadding='0' style='width:99%;overflow:hidden;'>
            <tr>
                <script>top.fnWriteAlphabet(document, "<?php echo $search;?>");</script>
            </tr>
        </table>

        <table cellspacing='0' cellpadding='0' width="99%" style='margin-top:5px;'>
            
            <?php if( (strtoupper($search) != "ALL" && strtoupper($search) != "SEARCH..." && $search != "") || $status != ""){ //show message?>
            <tr>
                <td class='searchDiv' colspan='<?php echo $colCount;?>' style='padding-left:0px;'>
                    <div>
                        <span style='color:red;'><?php echo $searchHint;?>:</span> <?php echo fnFormOutput($search, true);?>
                        &nbsp;&nbsp;                              
                        <a href="narratives.php?appGuid=<?php echo $appGuid;?>&search"><img src="../../images/arr_right.gif" alt='arrow'/>clear search</a>
                    </div>
                 </td>
            </tr>
            <?php } ?>

            <tr>
                
                <td nowrap style='padding-left:0px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
                    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'N.title');return false;">Title</a> <?php echo fnSortIcon("N.title", $tmpSort, $sortColumn); ?>
                    &nbsp;&nbsp;
                    <a href="narrative.php?appGuid=<?php echo $appGuid;?>&BT_narrativeId=0<?php echo $qVars;?>" style='color:blue;'>Add Definition</a>
                    
                     <!--
                    &nbsp;|&nbsp;
                    
                   
                    <a href="narratives_upload.php?appGuid=<?php echo $appGuid;?>&BT_narrativeId=0<?php echo $qVars;?>" style='color:blue;'>Upload</a>
                </td>
                -->
                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
                    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'N.type');return false;">Type</a> <?php echo fnSortIcon("N.type", $tmpSort, $sortColumn); ?>
                </td>

                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
                    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'N.category');return false;">Category</a> <?php echo fnSortIcon("N.category", $tmpSort, $sortColumn); ?>
                </td>
				

                <td style='padding:0px;border-bottom:1px solid #999999;vertical-align:top;text-align:right;padding-bottom:10px;padding-right:5px;' >
                    <input id="checkAll" type='checkbox' style="width:12px;height:12px;margin:0px;display:inline;" onclick="top.fnCheckAll(self);">
                </td>

            </tr>
            
            <tr>
                <td colspan='<?php echo $colCount;?>'>
                    &nbsp;
                    
                    <div id="messageBox" style="display:block;">
                   <?php if(strtoupper($command) == "DELETE"){ ?>
                        <div class="errorDiv">
                            <br/>
                            <b>Delete selected items?</b>
                            <div style='padding-top:5px;'>
                                Are you sure you want to do this? This cannot be undone! When you
                                confirm this operation the selected items will be deleted and you will not be able to recover them.
                            </div>
                            <div style='padding-top:5px;'>
                                <a href="#" onclick="fnCancelDelete();return false;"><img src="../../images/arr_right.gif" alt='arrow'/>No, do not delete the selected items</a>
                            </div>
                            <div style='padding-top:5px;'>
                                <a href="#" onclick="fnConfirmDelete();return false;"><img src="../../images/arr_right.gif" alt='arrow'/>Yes, permanently delete the selected items</a>
                            </div>
                        </div>
                    <?php } ?>                                    

                    <?php if($strMessage != "" && $bolDone){ ?>
                        <div class='doneDiv'>
                            <?php echo $strMessage;?> 
                            <div style='padding-top:5px;'>
                                <a href="narratives.php?1=1<?php echo $qVars;?>"><img src="../../images/arr_right.gif" alt='arrow'/>OK, hide this message</a>
                            </div>
                        </div>
                    <?php } ?>                     
                    
                    <?php if($strMessage != "" && !$bolDone){ ?>
                        <div class='errorDiv'>
                            <?php echo $strMessage;?>                                
                        </div>
                    <?php } ?> 
                    
                    
                                
                    </div>
                
                
                </td>
            </tr>
            
            <?php
                //data
                $numRows = 0;
                $cnt = 0;
                if($totalRecs > 0){
                    $res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
                    if($res){
						
						
                        $numRows = mysql_num_rows($res);
                        $cnt = 0;
                            while($row = mysql_fetch_array($res)){
                            $cnt++;
                                        
                            //style
                            $css = (($cnt % 2) == 0) ? "rowAlt" : "rowNormal" ;
                            
                                
                            $BT_narrativeId = $row['guid'];
                            $title = $row['title'];
                            $narrative = fnFormOutput($row['narrative']);
                            $type = fnFormOutput($row['type']);
                            $category = fnFormOutput($row['category']);
                            
                          
                            
                            
                            echo "\n\n<tr id='i_" . $BT_narrativeId . "' class='" . $css . "'>";
                            echo "\n<td class='data' style='padding-left:0px;'>";
                            echo "<a href='narrative.php?appGuid=" . $appGuid . "&BT_narrativeId=" . $BT_narrativeId . $qVars . "'>" . $title . "</a>";
							echo "</td>"; 
							echo "\n<td class='data' style='padding-left:10px;'>" . $type . "</td>";
                            echo "\n<td class='data' style='padding-left:10px;'>" . $category . "</td>";
                            
						    echo "\n<td class='data' style='padding:0px;padding-right:5px;text-align:right;'><input id='selected[]' name='selected[]' type='checkbox' style='height:12px;width:12px;margin:0px;' value='" . $BT_narrativeId . "' " . fnIsChecked($BT_narrativeId) . "></td>";
                            echo "\n</tr>";
                            
                            
                        }//end while
                    }//no res
                }//no records
    
            ?>

            <tr>
              <td colspan='<?php echo $colCount;?>'>&nbsp;</td>
            </tr>
    
                
                <td colspan='<?php echo $colCount;?>' style-'text-align:right;'>
                
                    <?php if($totalRecs > 0){?>
                       
                        <div style='padding:5px;float:right;'>
                            <select id='doWhat' name='doWhat' onChange="document.forms[0].submit();" style='vertical-align:middle;width:250px;' align='absmiddle'>
                                <option value="">&nbsp;Actions menu...</option>
                                <option value="remove">&nbsp;Remove (permanent)</option>
                            </select>
                        </div>
                        <div style='clear:both;'></div>
                        <div style='padding:5px;float:right;'>
                            <?php 
                                echo ($firstRec + 1) . " - " . $lastRec . " of " . $totalRecs;
                                if($totalRecs > $recsPerPage){
                                    echo "<span class='linkSpacer'>&nbsp;</span>";
                                    echo $prevPageLink . $nextPageLink;
                                }
                            ?>
                        </div>
                        <div style='clear:both;'></div>

                    <?php } ?>
                    
                </td>
            </tr>
        </table>




	</fieldset>
        


<?php echo $bottomNavBar;?>
</div>
<?php echo $bodyEnd; ?>
